Subject: Re: Support for textmode files [WAS: Re: 1.1.8 bug with TCSH 6.10 ( using shell built-in commands )]
From: "Mad Dave" <[email-masked]>
To: "Earnie Boyd" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 15 Feb 2001 04:05:16 -0000

I'm sorry but you seemed to misunderstood my last question.  I am quite
aware of what textmode is, but the release notes for tcsh 6.10 state that
textmode files are supported, but this isn't always the case, as I have
found with sourcing a textmode file (my original problem).  The point of the
question was to assertain when exactly they are supported with the tcsh
shell and when they are not.

Would I be right in saying that by supporting textmode files you mean that
the \r will be stripped off when the file is read by the tcsh, so you wont
be subjected to seeing ^M all over the place, but due to this foreach, while
loops, etc will fail with textmode files due to the fact they perform a seek
type operation based on the bytes read ?  Is this right ?  If so will
support ever be added for using textmode files as shell scripts ? ( IE use
another method which takes into account the \r\n translation when performing
the seek )

Dave.

----- Original Message -----
From: "Earnie Boyd" <[email-masked]>
To: "David Beales" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, February 14, 2001 6:31 PM
Subject: Re: Support for textmode files [WAS: Re: 1.1.8 bug with TCSH 6.10
( using shell built-in commands )]

> David Beales wrote:
> >
> > ----- Original Message -----
> > Hi
> >
> > Thanks a lot,,, fairly obvious now you come to mention it,,, easily
solved
> > with use of 'tr'.
> > When Corinna said in the release notes of tcsh 6.10;
> >
> > "It's a test version due to the freshly integrated support for
> > textmode files on binary mounts."
> >
> > What exactly was ment by support for textmode files ?
> >
>
> Search the archives.  I and others have verbosed enough on the subject.
> You can also find it in the FAQ and the documentation at
> http://cygwin.com.  You may also want to search the msdn.microsoft.com
> for more information.
>
> Earnie.
>
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
>
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple